import java.awt.*;

public class Triangle extends Shape {


    public static final int NUMBER_OF_CORNERS = 3;

    private double base;
    private double height;
    private double angle;

    public Triangle(double base, double height, double angle, Color color) {
        super(color);
        this.base = base;
        this.height = height;
        this.angle = angle;

    }

    public int numberOfCorners() {
        return NUMBER_OF_CORNERS;
    }

    public double surface() {
        return base * height / 2;
    }

    public void display(Graphics g) {
        g.setColor(this.color());

        int[] xcoords =
                { 100
                , 100 + (int)base
                , 100 + (int)(height/Math.tan(Math.toRadians(angle)))
                };

        int[] ycoords =
                { 100 + (int)height
                , 100 + (int)height
                , 100
                };


        g.fillPolygon(xcoords, ycoords, 3);

    }

}





























//        g.setColor(this.color());
//
//
//        int[] xpoints =
//                { 100
//                , 100 + (int)base
//                , 100 + (int)(height/Math.tan(Math.toRadians(angle)))
//                };
//        int[] ypoints =
//                { 100 + (int)height
//                , 100 + (int)height
//                , 100
//                };
//
//        g.fillPolygon(xpoints, ypoints, NUMBER_OF_CORNERS);
